console.log('Preload script loaded');
const { contextBridge, ipcRenderer } = require('electron');

contextBridge.exposeInMainWorld('electronAPI', {
    openGazebo: () => {
        console.log('打开 gazebo');
        ipcRenderer.send('open-gazebo');
    },
    openRviz: () => {
        console.log('打开 rviz');
        ipcRenderer.send('open-rviz');
    },
    closeGazebo: () => {
        console.log('关闭 gazebo');
        ipcRenderer.send('close-gazebo');
    },
    closeRviz: () => {
        console.log('关闭 rviz');
        ipcRenderer.send('close-rviz');
    },
});


